### Method

# Handy ComboRow set_get_name_func

since: 1.0

#### Declaration [src]

    void
    hdy_combo_row_set_get_name_func (
      HdyComboRow* self,
      HdyComboRowGetNameFunc get_name_func,
      gpointer user_data,
      GDestroyNotify user_data_free_func
    )

#### Description [src]

Sets a closure to convert items into names.

See `HdyComboRow:use-subtitle`.

Available since: 1.0

#### Parameters

`get_name_func`

  Type: `HdyComboRowGetNameFunc`

  A function that creates names for items, or `NULL` in case you also passed `NULL` as `model`.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  User data passed to `get_name_func`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`user_data_free_func`

  Type: `GDestroyNotify`

  Function for freeing `user_data`.